<body>
  <form [formGroup]="userForm" (ngSubmit)="SubmitData()">
    <div class="container">
      <h1><br /></h1>
      <mat-form-field appearance="outline">
        <mat-label>UserName</mat-label>
        <input
          formControlName="UserName"
          [(ngModel)]="signupclassref.username"
          matInput
          placeholder="UserName"
          required
        />
        <mat-error>The field is empty</mat-error>
      </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Password</mat-label>
        <input
          formControlName="Password"
          [(ngModel)]="signupclassref.password"
          matInput
          type="password"
          placeholder="Password"
          required
        />
        <mat-error *ngIf="userForm.controls['Password'].errors?.['required']">
          The field must not be empty
        </mat-error>
        <mat-error *ngIf="userForm.controls['Password'].errors?.['minlength']">
          need atleadt 8 characters of length
        </mat-error>
      </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Email</mat-label>
        <input
          formControlName="Email"
          [(ngModel)]="signupclassref.email"
          matInput
          type="email"
          placeholder="Email"
          required
        />
        <mat-error *ngIf="userForm.controls['Email'].errors?.['required']">
          The field must not be empty
        </mat-error>
        <mat-error *ngIf="userForm.controls['Email'].errors?.['pattern']">
          This is not valid format
        </mat-error>
      </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Role</mat-label>
        <input
          formControlName="Role"
          [(ngModel)]="signupclassref.role"
          matInput
          placeholder="Role"
          required
        />
        <mat-error> The field must not be empty </mat-error>
      </mat-form-field>
      <mat-form-field appearance="outline">
        <mat-label>Experience</mat-label>
        <input
          formControlName="Experience"
          [(ngModel)]="signupclassref.experience"
          matInput
          type="number"
          min="2"
          placeholder="Experience"
          name="Experience"
          required
        />
        <mat-error *ngIf="userForm.controls['Experience'].errors?.['required']">
          The field must not be empty
        </mat-error>
        <mat-error *ngIf="userForm.controls['Experience'].errors?.['min']">
          You must have atleast 2 yeras of Experience.
        </mat-error>
      </mat-form-field>
      <mat-form-field appearance="outline">
        <input
          type="date"
          formControlName="dob"
          [(ngModel)]="signupclassref.dob"
          matInput
          placeholder="date-of-birth"
          required
        />
      </mat-form-field>

      <div class="btncontrol d-flex justify-content-center">
        <button
          mat-raised-button
          class="btn"
          color="primary"
          routerLink="/user"
        >
          Back
        </button>
        <button mat-raised-button color="accent" [disabled]="userForm.invalid">
          SignUp
        </button>
      </div>
    </div>
  </form>
</body>
